### Method

# EBookContacts VCardAttribute get_values

#### Declaration [src]

    GList*
    e_vcard_attribute_get_values (
      EVCardAttribute* attr
    )

#### Description [src]

Gets the ordered list of values from `attr`. The list and its contents are owned by `attr`, and must not be freed.

For example, for an `ADR` (postal address) attribute, this will return the components of the postal address.

This may be called on a single-valued attribute (i.e. one for which `e_vcard_attribute_is_single_valued()` returns `TRUE`) and will return a one-element list in that case. Alternatively, use `e_vcard_attribute_get_value()` in such cases.

#### Return value

Type: A list of `utf8`

A list of string values. They will all be non-`NULL`, but may be empty strings. The list itself may be empty.

The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.